Package org.bgerp.plugin.pln.callboard.model.config

# Class CallboardConfig.Callboard

java.lang.Object
org.bgerp.model.base.Id
org.bgerp.model.base.IdTitle
org.bgerp.plugin.pln.callboard.model.config.CallboardConfig.Callboard

All Implemented Interfaces:
  `Serializable`, `Id<Integer>`, `IdTitle<Integer>`, `Title`

Enclosing class:
  `CallboardConfig`

public static final class CallboardConfig.Callboard extends IdTitle

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.bgerp.model.base.IdTitle

  `title`

  ### Fields inherited from class org.bgerp.model.base.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Callboard(int id, ConfigMap config)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCalendarId()`
  `ConfigMap`
  `getConfigMap()`
  `int`
  `getGroupId()`
  `Boolean`
  `getHideEmptyGroups()`
  `Boolean`
  `getHideEmptyShifts()`
  `CallboardPlanConfig`
  `getPlanConfig()`
  `CallboardTabelConfig`
  `getTabelConfig()`
  `void`
  `setHideEmptyGroups(Boolean hideEmptyGroups)`
  `void`
  `setHideEmptyShifts(Boolean hideEmptyShifts)`

  ### Methods inherited from class org.bgerp.model.base.IdTitle

  `getTitle, setTitle, toString, unknown`

  ### Methods inherited from class org.bgerp.model.base.Id

  `equals, getId, hashCode, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.bgerp.model.base.iface.Id

  `getId`

- ## Constructor Details

  - ### Callboard

    public Callboard(int id, ConfigMap config)

- ## Method Details

  - ### getGroupId

    public int getGroupId()

  - ### getCalendarId

    public int getCalendarId()

  - ### getConfigMap

    public ConfigMap getConfigMap()

  - ### getTabelConfig

    public CallboardTabelConfig getTabelConfig()

  - ### getPlanConfig

    public CallboardPlanConfig getPlanConfig()

  - ### setHideEmptyGroups

    public void setHideEmptyGroups(Boolean hideEmptyGroups)

  - ### setHideEmptyShifts

    public void setHideEmptyShifts(Boolean hideEmptyShifts)

  - ### getHideEmptyGroups

    public Boolean getHideEmptyGroups()

  - ### getHideEmptyShifts

    public Boolean getHideEmptyShifts()